﻿@charset "utf-8";

/* BASE */
.mainframe_,
.mainframe_ * {
  box-sizing: border-box;
}
.mainframe_ img {
  max-width: 100%;
  vertical-align: bottom;
}
.preview_article_data_status {
  position: absolute;
  transform: translateY(-20px);
  /* display: none; */
}
/* メインエリア */
.mainframe_ {
  background-color: #FFF5E0;
  background-image:
    url('/cms/market/img/railway/img/main_bg_top_left.png'),
    url('/cms/market/img/railway/img/main_bg_btm_right.png');
  background-position:
    top left,
    bottom right;
  background-repeat:
    no-repeat,
    no-repeat;
  padding-block: 30px 240px;
}
@media (max-width: 767px) {
  .mainframe_ {
    background-image:
      url('/cms/market/img/railway/img/main_bg_top_left_sp.png'),
      url('/cms/market/img/railway/img/main_bg_middle_left_sp.png'),
      url('/cms/market/img/railway/img/main_bg_btm_right_sp.png');
    background-position:
      top left,
      center left,
      bottom right;
    background-repeat:
      no-repeat,
      no-repeat,
      no-repeat;
    background-size:
      calc(120 / 390 * 100vw) calc(129 / 390 * 100vw),
      calc(270 / 390 * 100vw) calc(309 / 390 * 100vw),
      calc(250 / 390 * 100vw) calc(130 / 390 * 100vw);
    padding-block: calc(20 / 390 * 100vw) calc(150 / 390 * 100vw);
  }
}

/* 見出し */
.hdg-lv1 {
  color: #141E46;
  font-size: 28px;
  font-weight: bold;
  letter-spacing: .1em;
  line-height: calc(30 / 28);
  text-align: center;
  margin-bottom: 30px;
}
@media (max-width: 767px) {
  .hdg-lv1 {
    font-size: calc(24 / 390 * 100vw);
    line-height: calc(30 / 24);
    margin-bottom: calc(20 / 390 * 100vw);
  }
}

/* 鉄道地図ブロック */
.block-railway-map {
  margin-bottom: 50px;
}
@media (max-width: 767px) {
  .block-railway-map {
    margin-bottom: calc(40 / 390 * 100vw);
  }
}

/* 鉄道地図 */
.railway-map {
  box-sizing: border-box;
  max-width: 1200px;
  margin-inline: auto;
  position: relative;
}
#mapSvg {
  display: block;
}
@media (max-width: 1200px) {
  #mapSvg {
    height: auto;
    width: 100%;
  }
}

/* 鉄道地図ナビ */
.railway-nav-area {
  padding-bottom: calc(48 / 1200 * 100%);
  padding-inline: calc(77 / 1200 * 100%);
  position: absolute;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: 1;
  width: 936px;
  margin: 0 auto;
}
.railway-nav {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 14px 16px;
}
.railway-btn {
  all: unset;
  box-sizing: border-box;
  cursor: pointer;
  outline: revert;
}
@media (max-width: 767px) {
  .railway-nav-area {
    width: 100%;
    padding-bottom: calc(23 / 390 * 100%);
    padding-inline: calc(11 / 390 * 100vw);
  }
  .railway-nav {
    grid-template-columns: repeat(3, 1fr);
    gap: calc(8 / 390 * 100vw) calc(7 / 390 * 100vw);
  }
  .railway-btn {
    cursor: default;
  }
}

/* 鉄道路線表示 */
.railway {
  --railway-color-default: #9E9E9E;
  --railway-color-choshi: #000000;
  --railway-color-irishikawa: #00A7E3;
  --railway-color-gakunan: #D1684B;
  --railway-color-sangi: #10287F;
  --railway-color-keifuku: #9C4388;

  stroke: var(--railway-color-default);
}
.railway g,
.railway path {
  stroke: inherit;
}
.railway#choshi.is-active {
  stroke: var(--railway-color-choshi);
}
.railway#irishikawa.is-active {
  stroke: var(--railway-color-irishikawa);
}
.railway#gakunan.is-active {
  stroke: var(--railway-color-gakunan);
}
.railway#sangi.is-active {
  stroke: var(--railway-color-sangi);
}
.railway#keifuku.is-active {
  stroke: var(--railway-color-keifuku);
}
@media (min-width: 768px) {
  .railway.is-active {
    filter: drop-shadow(2px 4px 6px #5c5c5c);
  }
}
@media (max-width: 767px) {
  #mapSvg:has(.railway#keifuku.is-active) [data-prefecture="kyoto"],
  #mapSvg:has(.railway#sangi.is-active) [data-prefecture="mie"],
  #mapSvg:has(.railway#gakunan.is-active) [data-prefecture="shizuoka"],
  #mapSvg:has(.railway#irishikawa.is-active) [data-prefecture="ishikawa"],
  #mapSvg:has(.railway#choshi.is-active) [data-prefecture="chiba"] {
    fill: #98A6DE;
  }
}

/* アンカーリンク */
.block-company-anchor-link {
  display: none;
}
@media (max-width: 767px) {
  .block-company-anchor-link {
    display: block;
    padding-inline: calc(16 / 390 * 100vw);
    margin-bottom: calc(70 / 390 * 100vw);
  }
  .company-anchor-link-list {
    display: grid;
    gap: calc(10 / 390 * 100vw);
    grid-template-columns: repeat(2, 1fr);
  }
  .company-anchor-link-list > li {
    display: flex;
    flex-direction: column;
  }
  .company-anchor-link-list a {
    color: #141E46;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-grow: 1;
    font-size: calc(14 / 390 * 100vw);
    font-weight: bold;
    letter-spacing: .1em;
    line-height: calc(30 / 14);
    text-align: center;
    text-decoration: none;
    padding-block: calc(11 / 390 * 100vw) calc(19 / 390 * 100vw);
    padding-inline: calc(20 / 390 * 100vw);
    position: relative;
    z-index: 0;
  }
  .company-anchor-link-list a::before {
    content: '';
    background-color: #fff;
    position: absolute;
    top: 0;
    right: calc(10 / 390 * 100vw);
    bottom: 0;
    left: calc(10 / 390 * 100vw);
    z-index: -1;
    transform: skewX(-19deg);
  }
  .company-anchor-link-list a::after {
    content: '';
    border-style: solid;
    border-right: 4px solid transparent;
    border-left: 4px solid transparent;
    border-top: 6px solid #ff6969;
    border-bottom: 0;
    width: 0;
    height: 0;
    position: absolute;
    left: 50%;
    bottom: calc(10 / 390 * 100vw);
    translate: -50%;
  }
}

/* 記事一覧ブロック */
.block-company-list-inner {
  max-width: 1200px;
  margin-inline: auto;
  width: 100%;
}
.company-list {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 30px 15px;
  margin-bottom: 100px;
}
.company-list-item {
  --base-font-color: #141E46;
  background-color: #fff;
  color: var(--base-font-color);
  padding-block: 15px 20px;
  padding-inline: 20px;
}
.company-item-header {
  display: grid;
  align-items: center;
  column-gap: 9px;
  grid-template-columns: 50px 1fr;
  margin-bottom: 10px;
}
.company-item-icon {
  text-align: center;
}
.company-item-ttl {
  font-size: 27px;
  font-weight: bold;
  line-height: calc(39 / 27);
}
.company-item-main {
  margin-bottom: 15px;
}
.company-item-img {
  margin-bottom: 15px;
}
.company-item-detail {
  background-image: repeating-linear-gradient(
    to right,
    #E1E1E1 0 5px,
    transparent 5px 10px
  );
  background-position: bottom;
  background-size: 100% 1px;
  background-repeat: no-repeat;
  display: grid;
  column-gap: 10px;
  grid-template-columns: 74px 1fr;
  padding-bottom: 11px;
  padding-left: 14px;
  position: relative;
}
.company-item-detail::before {
  content: '';
  background-color: #FF6969;
  height: 25px;
  width: 4px;
  position: absolute;
  top: 0;
  left: 0;
}
.company-item-detail + .company-item-detail {
  margin-top: 10px;
}
.company-item-detail-hdg {
  font-size: 16px;
  font-weight: bold;
  line-height: calc(24 / 16);
}
.company-item-detail-body {
  font-size: 16px;
  line-height: calc(24 / 16);
}
.company-item-link {
  background-color: var(--base-font-color);
  color: #fff;
  display: block;
  font-size: 16px;
  font-weight: 500;
  line-height: calc(24 / 16);
  text-align: center;
  text-decoration: none;
  padding-block: 13px;
  padding-inline: 30px;
  position: relative;
  transition: opacity .3s;
}
.company-item-link::after {
  content: '';
  border-style: solid;
  border-top: 4px solid transparent;
  border-bottom: 4px solid transparent;
  border-left: 7px solid #fff;
  border-right: 0;
  width: 0;
  height: 0;
  position: absolute;
  top: 50%;
  right: 14px;
  translate: 0 -50%;
}
.company-item-link:hover {
  opacity: .8;
}
@media (max-width: 767px) {
  .block-company-list-inner {
    padding-inline: calc(16 / 390 * 100vw);
  }
  .company-list {
    grid-template-columns: 1fr;
    gap: calc(20 / 390 * 100vw);
    margin-bottom: calc(65 / 390 * 100vw);
  }
  .company-list-item {
    padding-block: calc(15 / 390 * 100vw) calc(20 / 390 * 100vw);
    padding-inline: calc(20 / 390 * 100vw);
  }
  .company-item-header {
    column-gap: calc(9 / 390 * 100vw);
    grid-template-columns: calc(44 / 390 * 100vw) 1fr;
    margin-bottom: calc(10 / 390 * 100vw);
  }
  .company-item-ttl {
    font-size: calc(24 / 390 * 100vw);
    line-height: calc(35 / 24);
  }
  .company-item-main {
    margin-bottom: calc(15 / 390 * 100vw);
  }
  .company-item-img {
    margin-bottom: calc(15 / 390 * 100vw);
  }
  .company-item-detail {
    column-gap: calc(10 / 390 * 100vw);
    grid-template-columns: calc(64 / 390 * 100vw) 1fr;
    padding-bottom: calc(10 / 390 * 100vw);
    padding-left: calc(12 / 390 * 100vw);
  }
  .company-item-detail::before {
    height: calc(20 / 390 * 100vw);
  }
  .company-item-detail + .company-item-detail {
    margin-top: calc(10 / 390 * 100vw);
  }
  .company-item-detail-hdg {
    font-size: calc(14 / 390 * 100vw);
    line-height: calc(20 / 14);
  }
  .company-item-detail-body {
    font-size: calc(14 / 390 * 100vw);
    line-height: calc(20 / 14);
  }
  .company-item-link {
    font-size: calc(16 / 390 * 100vw);
    padding-block: calc(13 / 390 * 100vw);
    padding-inline: calc(30 / 390 * 100vw);
  }
  .company-item-link::after {
    right: calc(14 / 390 * 100vw);
  }
}

/* ボタン */
.lay-btn {
  display: grid;
  grid-template-columns: 480px;
  justify-content: center;
}
.btn-decorated {
  background-color: #FF6969;
  clip-path: polygon(4.2% 0, 100% 0, 95.8% 100%, 0 100%);
  display: block;
  text-decoration: none;
  padding-right: 60px;
  position: relative;
  transition: opacity .3s;
}
.btn-decorated:hover {
  opacity: .8;
}
.btn-decorated::after {
  content: '';
  border-style: solid;
  border-top: 5px solid transparent;
  border-bottom: 5px solid transparent;
  border-left: 8px solid #141E46;
  border-right: 0;
  width: 0;
  height: 0;
  position: absolute;
  top: 50%;
  right: 36px;
  translate: 0 -50%;
}
.btn-decorated-inner {
  background-color: #141E46;
  clip-path: polygon(0 0, 100% 0, 95.2% 100%, 0 100%);
  color: #fff;
  display: block;
  font-size: 18px;
  font-weight: bold;
  letter-spacing: .1em;
  line-height: calc(30 / 18);
  text-align: center;
  padding-block: 26px 24px;
  padding-inline: 50px 22px;
}
@media (max-width: 767px) {
  .lay-btn {
    grid-template-columns: 1fr;
  }
  .btn-decorated {
    clip-path: polygon(5.6% 0, 100% 0, 94.4% 100%, 0 100%);
    padding-right: calc(40 / 390 * 100vw);
  }
  .btn-decorated::after {
    right: calc(24 / 390 * 100vw);
  }
  .btn-decorated-inner {
    clip-path: polygon(0 0, 100% 0, 93.7% 100%, 0 100%);
    font-size: calc(16 / 390 * 100vw);
    line-height: calc(30 / 16);
    padding-block: calc(16 / 390 * 100vw) calc(18 / 390 * 100vw);
    padding-inline: calc(40 / 390 * 100vw) calc(22 / 390 * 100vw);
  }
}